use tool_helper::{Input, Output, Result};
pub use tool_helper::Error;

fn write_cpp(_input: Input, output: &mut Output, line_feed: &str) -> Result<()> {
    Error::try_with(write!(output, "const char data[] = {{{}", line_feed))?;
    Error::try_with(write!(output, "}};"))?;
    
    Ok(())
}

pub fn convert(_input: Input, mut output: Output) -> Result<()> {
    write_cpp(_input, &mut output, "\r\n")
}